Release-noter for NemID Nøglefilsprogram

 

Version 1.7.3 - 19.02.2018

Rettelser:

- NemID nøglefilsprogram indstallerer og stoler på OCES-rodcertifkatet på brugerens computer

Skal du opdatere til v1.7.3?

Brugere, som anvender v1.5.1 skal opdatere.
Brugere, som har installeret og anvendt v1.6.1 uden problemer, har ingen grund til at opdatere.
Brugere, som skal anvende NemID på hardware med hardware-token fra Feitian, skal opgradere.

Version 1.7.2 - 01.02.2018

Rettelser:

- NemID nøglefilsprogram indholde nu PKCS11 driver, som undertøtter hardware fra Feitian

Skal du opdatere fra v1.6.1 til v1.7.2?

Brugere, som har installeret og anvendt v1.6.1 uden problemer, har ingen grund til at opdatere.
Brugere, som skal anvende NemID på hardware med hardware-token fra Feitian, skal opgradere.

Version 1.6.1 - 09.11.2017

Rettelser af specielle fejl som fx:
- Fejl hvor NemID som nøglefil opfattes som NemID på hardware
- Fejl ved brug af NemID Nøglefilsprogram uden dansk sprogpakke
- Fejl ved signering af dokumenter med vedhæftede filer
- Problemer for brugere med Lokal Signatur Server (LSS) ved udstedelse af funktions- eller virksomhedscertifikater (FOCES/VOCES)
Version 1.4.4 og tidligere blokeres ved release af v1.6.1 (tvungen opdatering). Version 1.5.1 kan fortsat bruges.

Skal du opdatere fra v1.5.1 til v1.6.1?

Brugere, som har installeret og anvendt v1.5.1 uden problemer, har ingen grund til at opdatere.
Brugere med Lokal Signatur Server (LSS) skal installere NemID Nøglefilsprogram v1.6.1 for at kunne udstede funktions- eller virksomhedscertifikater (FOCES/VOCES).

​Version 1.5.1 - 22.06.2017

- Vigtige sikkerhedsopdateringer af indbyggede SW-komponenter
- Kompatibilitet med Internet Explorer 11 Enhanced Protected Mode (EPM)
- Automatisk tillid til rodcertifikat ved aktivering og indlæsning af sikkerhedskopi på Windows pc
Version 1.1 og tidligere blokeres ved release (tvungen opdatering). Brugere af version 1.4.x tilbydes opdatering fra 07.09.2017.

Skal du opdatere fra 1.4.x til 1.5.1?

Vi anbefaler at distribuere NemID Nøglefilsprogram v1.5.1 hurtigst muligt og inden 7. september 2017 til nøglefilsbrugere, som ikke kan installere software på egen Windows pc.

Pga. vigtige sikkerhedsopdateringer vil brugere af v1.4.x ved brug af NemID nøglefil snart få besked om at opdatere NemID Nøglefilsprogram til nyeste version:
- Fra 7. september: Opdatering kan udsættes fra gang-til-gang ved at vælge ’Fortsæt uden at opdatere nu’.
- Fra 9. november: NemID nøglefil kan kun bruges ved at opdatere til v1.5.1 eller nyere. Version 1.4.4 og tidligere blokeres.

Version 1.4.4 - 09.03.2017

- Retter fejlen, at man ikke kan anvende version 1.4.1 på 32-bit Windows sammen med Firefox v50 eller højere.
Brugere af version 1.1 tilbydes opdatering (frivillig). Version 1.0 blokeres (tvungen opdatering).

Skal du opdatere version 1.4.1 til 1.4.4?

ENTEN - Hvis Firefox v50 eller højere på 32-bit Windows kan ignoreres i din virksomhed.
Følgende nøglefilsbrugere kan uden problemer anvende version 1.4.1 på en Windows pc:
- Brugere som foretrækker Internet Explorer 11
- Brugere med 64-bit Windows *)
I dette tilfælde kan du fortsætte med NemID Nøglefilsprogram version 1.4.1 uden at opdatere til 1.4.4.
*) Note: Det er normalt at bruge 32-bit Firefox på 64-bit Windows – især fordi det kun er 32-bit udgaven af Firefox (v51 eller tidligere) til Windows, som understøtter Java. Kombinationen, 32-bit Firefox på 64-bit Windows, er altså ikke berørt.

ELLER - Hvis nøglefilsbrugere i din virksomhed skal kunne anvende Firefox på 32-bit Windows
- Som midlertidig udvej kan nøglefilsbrugere altid bruge Internet Explorer 11 på Windows.
I dette tilfælde anbefaler vi at distribuere version 1.4.4 hurtigst muligt.
Det gælder specielt for Firefox-brugere i tilfælde af automatisk opdatering til version 52, der ikke kan bruge Java. Mozilla frigav Firefox v52 den 7. marts.
NB: Hvis nøglefilsbrugere i din virksomhed kan undgå opdatering til Firefox v52 - og forblive på v50-51 - vil de kunne klare sig, hvis blot du distribuerer det nye NemID Nøglefilsprogram inden april 2017. Hvornår kan du bruge NemID Nøglefilsprogram? > 

Version 1.4.1 - 23.02.2017

- Første produktions-release
- Tilføjer understøttelse af Firefox browser.
- Løser en række begrænsninger i beta-version 1.1
Brugere af version 1.1 tilbydes opdatering (frivillig). Version 1.0 blokeres (tvungen opdatering).

Version 1.1 - 26.01.2017

- Første beta-version til pilot-test af msi-distribution og login uden Java
- Løser et problem med msi-filen
Brugere af version 1.0 tilbydes opdatering (frivillig).

Version 1.0 - 24.11.2017

 - Første beta-version til pilot-test af login uden Java.

Genveje til NemID Nøglefilsprogram

Central styring af NemID software til nøglefilsbrugere >

FAQ og andre vejledninger om NemID Nøglefilsprogram >